[
{
    blockid=sys;
    help=service_smtp_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.defdomain.text="\u5c0b\u5740\u5b8c\u6210\u7684\u7db2\u57df\uff1a";
	.localdomain.help="\u7531\u6b64\u4f3a\u670d\u5668\u5c08\u9580\u8655\u7406\u7684\u7db2\u57df\u4e4b\u6e05\u55ae";
	.localdomain.header="\u672c\u6a5f\u7db2\u57df";
	.hostoncmd.text="\u5c0b\u627e\u7528\u6236\u7aef\u6a5f\u5668\u540d\u7a31";
	.plaintext.text="\u5141\u8a31\u5bc6\u78bc\u767b\u5165";
	.mincipher.text="\u5bc6\u78bc\u52a0\u5bc6\u7684\u6700\u5c0f\u52a0\u5bc6\u9577\u5ea6";
	.nt.border=[titled,"NT \u7a0b\u5f0f\u905e\u9001"];
	.ntaccount.text="\u57f7\u884c\u7a0b\u5f0f\u7684 NT \u5e33\u865f\uff1a";
	.ntpasswd.text="\u6b64\u5e33\u865f\u7684\u5bc6\u78bc\uff1a";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=defdomainlabel;
	    text=$.defdomain.text;
	    wrap=$g.label.size1;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=defdomainlabel;
	    val=$service.defaultdomain.value;
	    constraint={
		gridx=1;
		gridy=0;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=localdomainlabel;
	    text=$.localdomain.help;
	    wrap=$g.label.size4;
	    constraint={
		gridx=0;
		gridy=1;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=stdtable;
	    label=localdomainlabel;
	    stdtable=true;
	    addui=domaindialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.localdomain.header;
	    editui=domaindialog;
	    edittitle=$.localdomain.header;
	    val=$service.smtp.smtp-router.localmaildomains.value;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
		gridx=0;
		gridy=2;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.localdomain.header;
		    varname=domainname;
		}
	    ]
	},
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    constraint={
		gridx=0;
		gridy=3;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    };
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=mincipherlabel;
		    text=$.mincipher.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=choice;
		    id=mincipher;
		    label=mincipherlabel;
		    items=[0,40,128];
		    val=$plaintextmincipher.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.nt.border;
	    constraint={
		gridx=0;
		gridy=4;
		gridwidth=2;
		weightx=1;
		weighty=1;
		fill=h;
		insets=$g.insets.comp;
	    };
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=ntaccountlabel;
		    text=$.ntaccount.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=ntaccountlabel;
		    val=$service.smtp.prog-deliver.ntaccount.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=ntpasswdlabel;
		    text=$.ntpasswd.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=password;
		    label=ntpasswdlabel;
		    val=$service.smtp.prog-deliver.ntpassword.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		}
	    ]
	}
    ]
},
{
    blockid=domaindialog;
    help=service_smtp_sys_domaindialog;
    localvar={
	.name.text="\u6b64\u4f3a\u670d\u5668\u5c08\u9580\u8655\u7406\u7684\u7db2\u57df\uff1a";
    };
    content=[
	{
	    ctrl=label;
	    text=$.name.text;
	    wrap=$g.label.size3;
	    aligny=0.5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$domainname;
	    aligny=0.5;
	    focus=true;
	}
    ]
}
]

